TDB_EXISTS(3)

NAME
tdb_exists - check for the existence of a record in a tdb database

SYNOPSIS
#include <tdb.h>

int tdb_exists(TDB_CONTEXT *tdb, TDB_DATA key);

DESCRIPTION
Test to see if a key exists. tdb is a pointer returned by tdb_open and key is a lump of data that is used as the index into the database. The TDB_DATA structure is defined as:

    typedef struct {
    	char *dptr;
    	size_t dsize;
    } TDB_DATA;

RETURN VALUE
If the key is found, 1 is returned; otherwise 0 is returned.

AUTHORS
Software: Andrew Tridgell <tridge@linuxcare.com> and Luke Kenneth Casson Leighton Man page: Ben Woodard <ben@valinux.com>

SEE ALSO
gdbm(3), tdb(3)